import { getUsers } from '@/config/users'

export type User = {
  name: string
  email: string
  password: string
}

export const login = (_email: string, _password: string): Promise<User | null> =>
  new Promise((resolve, reject) => {
    setTimeout(() => {
      const _user = getUsers().find(
        ({ email, password }) => email === _email && password === _password
      )
      if (!_user) return reject('User not found!')
      resolve(_user)
    }, 200)
  })

export const register = (_name: string, _email: string, _password: string): Promise<User | null> =>
  new Promise((resolve, reject) => {
    setTimeout(() => {
      const _user = getUsers().find(
        ({ email, password }) => email === _email && password === _password
      )
      if (_user) return reject('User already exists!')
      resolve({ name: _name, email: _email, password: _password })
    }, 200)
  })
